Overview | Modules | Class Hierarchy | Classes | Members

# tlp::Size Class Reference

`#include <Size.h>`

Inherits tlp::VectorCast< float, 3, tlp::Size >.

Inheritance diagram for tlp::Size:

[legend]
Collaboration diagram for tlp::Size:

[legend]
List of all members.

## Public Member Functions

- Size (const float width=0, const float height=0, const float depth=0)
- Size (const tlp::Vector< float, 3 > &)
- void set (const float width=0, const float height=0, const float depth=0)
- void set (const Size &size)
- void setW (const float width)
- void setH (const float height)
- void setD (const float depth)
- float getW () const
- float getH () const
- float getD () const
- void get (float &width, float &height, float &depth) const

## Constructor & Destructor Documentation

tlp::Size::Size | ( | const float | width = `0`,
|  | const float | height = `0`,
|  | const float | depth = `0`
| ) | `[inline, explicit]`

tlp::Size::Size | ( | const tlp::Vector< float, 3 > & |  | ) | `[inline, explicit]`

## Member Function Documentation

void tlp::Size::get | ( | float & | width,
|  | float & | height,
|  | float & | depth
| ) | const`[inline]`

float tlp::Size::getD | ( |  | ) | const`[inline]`

float tlp::Size::getH | ( |  | ) | const`[inline]`

float tlp::Size::getW | ( |  | ) | const`[inline]`

void tlp::Size::set | ( | const Size & | size | ) | `[inline]`

void tlp::Size::set | ( | const float | width = `0`,
|  | const float | height = `0`,
|  | const float | depth = `0`
| ) | `[inline]`

void tlp::Size::setD | ( | const float | depth | ) | `[inline]`

void tlp::Size::setH | ( | const float | height | ) | `[inline]`

void tlp::Size::setW | ( | const float | width | ) | `[inline]`

Tulip Software by LaBRI Visualization Team 2001 - 2010